curl --request GET \
--url https://api.cadanapay.com/v1/persons/{personId} \
--header 'Authorization: Bearer <token>'{
"firstName": "John",
"lastName": "Doe",
"email": "<string>",
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
},
"compInfo": {
"type": "net",
"frequency": "monthly",
"employmentModel": "eor"
},
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"metadata": {
"customField1": "value1",
"customField2": "value2"
},
"businessName": "Wayne Enterprise",
"type": "CONTRACTOR",
"contractorType": "INDIVIDUAL",
"jobInfo": {
"startDate": "2023-01-01",
"employeeNumber": "1",
"title": "Software Engineer",
"department": "Product",
"customFields": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"name": "Tshirt Size",
"value": "M"
}
],
"entityId": "37ad8c1e-0187-4e10-8c54-395e3385b4d2"
},
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"dateOfBirth": "1990-05-15",
"nationalId": {
"fullId": "T22084535",
"suffix": "01",
"type": "tin"
},
"taxId": {
"fullId": "T22084535",
"suffix": "01",
"type": "tin"
},
"socialSecurityId": {
"fullId": "T22084535",
"suffix": "01",
"type": "tin"
},
"gender": "female",
"nationality": "DE",
"offboardingDetails": {
"exitDate": "2025-06-30",
"reason": "Voluntary resignation",
"compensation": {
"type": "net",
"frequency": "monthly",
"employmentModel": "eor"
},
"includeInRegularPayroll": true
}
}Fetch a person’s details
curl --request GET \
--url https://api.cadanapay.com/v1/persons/{personId} \
--header 'Authorization: Bearer <token>'{
"firstName": "John",
"lastName": "Doe",
"email": "<string>",
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
},
"compInfo": {
"type": "net",
"frequency": "monthly",
"employmentModel": "eor"
},
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"metadata": {
"customField1": "value1",
"customField2": "value2"
},
"businessName": "Wayne Enterprise",
"type": "CONTRACTOR",
"contractorType": "INDIVIDUAL",
"jobInfo": {
"startDate": "2023-01-01",
"employeeNumber": "1",
"title": "Software Engineer",
"department": "Product",
"customFields": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"name": "Tshirt Size",
"value": "M"
}
],
"entityId": "37ad8c1e-0187-4e10-8c54-395e3385b4d2"
},
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"dateOfBirth": "1990-05-15",
"nationalId": {
"fullId": "T22084535",
"suffix": "01",
"type": "tin"
},
"taxId": {
"fullId": "T22084535",
"suffix": "01",
"type": "tin"
},
"socialSecurityId": {
"fullId": "T22084535",
"suffix": "01",
"type": "tin"
},
"gender": "female",
"nationality": "DE",
"offboardingDetails": {
"exitDate": "2025-06-30",
"reason": "Voluntary resignation",
"compensation": {
"type": "net",
"frequency": "monthly",
"employmentModel": "eor"
},
"includeInRegularPayroll": true
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
The unique identifier for the person
get person response
Get person response
Person's first name
"John"
Person's last name
"Doe"
Person's email
Address
Show child attributes
Person's compensation information, how much will they get paid, currency and frequency
Show child attributes
Person's phone number
Show child attributes
Optional metadata you can store as key-value pairs
{
"customField1": "value1",
"customField2": "value2"
}Business name, required if contractor type is business
"Wayne Enterprise"
Type of the person, we allow contractors and employees
EMPLOYEE, CONTRACTOR "CONTRACTOR"
Type of the contractor, only required if person is a contractor type, we allow individual and business type contractors
INDIVIDUAL, BUSINESS "INDIVIDUAL"
Person's job information, start date, job title, and employee number
Show child attributes
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
Person's date of birth. Only present when set.
"1990-05-15"
National identification document. Only present when set.
Show child attributes
Tax identification document. Only present when set.
Show child attributes
Social security identification document. Only present when set.
Show child attributes
Person's gender. Only present when set.
male, female, other "female"
ISO 3166-1 alpha-2 country code. Only present when set.
"DE"
Show child attributes